# Uses of Interface
org.eclipse.gef.EditPolicy

Packages that use EditPolicy
Package
Description
org.eclipse.gef
All interfaces, base types, and the plugin class are here.
org.eclipse.gef.editparts
This package contains abstract implementation of the EditPart interface.
org.eclipse.gef.editpolicies
This package contains EditPolicy implementations for many common editing Roles.

## Uses of EditPolicy in org.eclipse.gef

Methods in org.eclipse.gef that return EditPolicy
Modifier and Type
Method
Description
`EditPolicy`
EditPart.`getEditPolicy(Object key)`
Methods in org.eclipse.gef with parameters of type EditPolicy
Modifier and Type
Method
Description
`void`
EditPart.`installEditPolicy(Object role, EditPolicy editPolicy)`
Installs an EditPolicy for a specified role.

## Uses of EditPolicy in org.eclipse.gef.editparts

Methods in org.eclipse.gef.editparts that return EditPolicy
Modifier and Type
Method
Description
`EditPolicy`
AbstractEditPart.`getEditPolicy(Object key)`
`EditPolicy`
AbstractEditPart.EditPolicyIterator.`next()`
Returns the next non-`null` EditPolicy.
Methods in org.eclipse.gef.editparts with parameters of type EditPolicy
Modifier and Type
Method
Description
`void`
AbstractEditPart.`installEditPolicy(Object key, EditPolicy editPolicy)`

## Uses of EditPolicy in org.eclipse.gef.editpolicies

Classes in org.eclipse.gef.editpolicies that implement EditPolicy
Modifier and Type
Class
Description
`class`
`AbstractEditPolicy`
The default implementation of `EditPolicy`.
`class`
`AbstractTreeContainerEditPolicy`
Deprecated.
Use TreeContainerEditPolicy
`class`
`BendpointEditPolicy`
Used to add bendpoint handles on a `ConnectionEditPart`.
`class`
`ComponentEditPolicy`
A model-based EditPolicy for components within a container.
`class`
`ConnectionEditPolicy`
A model-based EditPolicy for connections.
`class`
`ConnectionEndpointEditPolicy`
A selection handle policy for placing handles at the two ends of a ConnectionEditPart.
`class`
`ConstrainedLayoutEditPolicy`
For use with `LayoutManager` that require a constraint.
`class`
`ContainerEditPolicy`
An EditPolicy for use with container editparts.
`class`
`DirectEditPolicy`
Shows DirectEdit feedback and creates the Command to perform a "direct edit".
`class`
`FlowLayoutEditPolicy`
An EditPolicy for use with `FlowLayout`.
`class`
`GraphicalEditPolicy`
A `GraphicalEditPolicy` is used with a `GraphicalEditPart`.
`class`
`GraphicalNodeEditPolicy`
A GraphicalNodeEditPolicy is responsible for creating and reconnecting connections graphically.
`class`
`LayoutEditPolicy`
Provides support for interacting with children `GraphicalEditParts` with the host figure's current `LayoutManager`.
`class`
`NonResizableEditPolicy`
Provide support for selecting and positioning a non-resizable editpart.
`class`
`OrderedLayoutEditPolicy`
A LayoutEditPolicy for use with `LayoutManagers` that take no constraints.
`class`
`ResizableEditPolicy`
Provides support for selecting, positioning, and resizing an edit part.
`class`
`RootComponentEditPolicy`
The root component cannot be removed from its parent.
`class`
`ScrollableSelectionFeedbackEditPolicy`
A `SelectionEditPolicy`, which may be registered to an `IScrollableEditPart` to provide primary selection feedback by rendering the hidden contents of the host figure's `ScrollPane`'s nested `Viewport` by means of `GhostImageFigure`s.
`class`
`SelectionEditPolicy`
A GraphicalEditPolicy that is sensitive to the host's selection.
`class`
`SelectionHandlesEditPolicy`
A SelectionEditPolicy which manages a List of handles provided by the subclass.
`class`
`SnapFeedbackPolicy`
An EditPolicy that is used to show snap feedback for guides (red lines) and geometry (blue lines).
`class`
`TreeContainerEditPolicy`
An EditPolicy for handling ADDS, MOVES, and CREATES on a `TreeEditPart` .
`class`
`XYLayoutEditPolicy`
An EditPolicy for use with `Figures` in `XYLayout`.
Methods in org.eclipse.gef.editpolicies that return EditPolicy
Modifier and Type
Method
Description
`protected EditPolicy`
ConstrainedLayoutEditPolicy.`createChildEditPolicy(EditPart child)`
A `ResizableEditPolicy` is used by default for children.
`protected abstract EditPolicy`
LayoutEditPolicy.`createChildEditPolicy(EditPart child)`
Returns the "satellite" EditPolicy used to decorate the child.
`protected EditPolicy`
OrderedLayoutEditPolicy.`createChildEditPolicy(EditPart child)`
Since Ordered layouts generally don't use constraints, a `NonResizableEditPolicy` is used by default for children.